services:
    app:
        image: ghcr.io/ploush/mcserverwebsite:latest
        restart: unless-stopped
        env_file:
            - stack.env
        labels:
            - "traefik.enable=true"
            - "traefik.http.routers.mcwebsite.rule=Host(`minecraft.ploush.top`)"
            - "traefik.http.routers.mcwebsite.entrypoints=websecure"
            - "traefik.http.routers.mcwebsite.tls.certresolver=myresolver"
            - "traefik.http.services.mcwebsite.loadbalancer.server.port=80"
        volumes:
            - uploads:/var/www/html/public/uploads
        networks:
            - localdb
            - rvproxy

volumes:
    uploads:

networks:
    localdb:
        external: true
    rvproxy:
        external: true
